GNU bug report logs - #9192
Cross-compile for ARM

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Toon Claes <toon@HIDDEN>; merged with #13479; dated Thu, 28 Jul 2011 19:13:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 9192 13479. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'minor' Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 9192 <at> debbugs.gnu.org:


Received: (at 9192) by debbugs.gnu.org; 30 Aug 2011 03:41:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 29 23:41:55 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QyFD1-0000CE-7Z
	for submit <at> debbugs.gnu.org; Mon, 29 Aug 2011 23:41:55 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1QyFCy-0000C7-Sm
	for 9192 <at> debbugs.gnu.org; Mon, 29 Aug 2011 23:41:53 -0400
Received: from dann by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <dann@HIDDEN>)
	id 1QyF9y-0005DX-TY; Mon, 29 Aug 2011 23:38:46 -0400
From: Dan Nicolaescu <dann@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#9192: Cross-compile for ARM
References: <34DD1295-A6F6-4757-9828-BC61D23E2D8E@HIDDEN>
	<m24o26hzwb.fsf@HIDDEN>
	<71E1048F-71BD-42D6-AD17-086EEA0DB76D@HIDDEN>
	<jwv1ux36bk9.fsf-monnier+emacs@HIDDEN>
X-Debbugs-No-Ack: yes
Date: Mon, 29 Aug 2011 23:38:46 -0400
In-Reply-To: <jwv1ux36bk9.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Tue, 02 Aug 2011 12:21:40 -0400")
Message-ID: <yxqpqjn4lh5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: 9192
Cc: Toon Claes <toon@HIDDEN>, 9192 <at> debbugs.gnu.org,
	Andreas Schwab <schwab@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.5 (------)

Stefan Monnier <monnier@HIDDEN> writes:

>> Is it a 'feature' or is it a bug?


BTW, the trunk should be a bit better now than the 23.x release in terms
of building.

> It's not a feature, but it's not a bug we find very important to fix.
> IOW I'd be happy to accept patches which make cross-compiling easier,
> but I won't write them myself and I would only accept them if they're
> clean enough.
>
> This said, I do remember someone posting on this list about a similar
> issue and making actual progress in this direction.  And if you want to
> try it, here are some things I know will need to be solved:
> - We build a few programs used only during compilation: prefix-args,

prefix-args has been removed from the trunk.

>   make-docfile, probably a few more (can't remember test-distrub, but
>   if we build such a thing, then it's most likely in the set as well).

We should just remove test-distrib.c ASAP, it doesn't seem that useful anymore.

>   You'll have to change the Makefile to compile those for the host
>   rather than for the target.
> - The Elisp files in lisp and leim need to be compiled by Emacs, so the
>   src/bootstrap-emacs should be built for the host rather than for
>   the target.
> - You'll either want to build without dumping (i.e. set CANNOT_DUMP), or

"temacs" now runs as expected, it should work better than setting
CANNOT_DUMP.
It starts up a bit slower, but it is just as usable as a dumped emacs
after that.

>   you'll want to split the dump step since it needs to be run on the
>   target (but in either case you can do the dump for src/bootstrap-emacs
>   since that runs on the host).  Builds using CANNOT_DUMP tend to have
>   various misfeatures because this is basically never used and hence
>   doesn't get much/any testing.
>
> Maybe the easiest way to approach the problem is to first do a normal
> build on the host (which builds src/bootstrap-emacs and compiles all the
> Elisp files), then "rm src/*.o", reconfigure for the target and compile
> src/temacs (and maybe afterwards do the `dump' on the target).





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9192; Package emacs. Full text available.

Message received at 9192 <at> debbugs.gnu.org:


Received: (at 9192) by debbugs.gnu.org; 2 Aug 2011 16:22:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 02 12:22:23 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QoHja-00046S-K3
	for submit <at> debbugs.gnu.org; Tue, 02 Aug 2011 12:22:22 -0400
Received: from relais.videotron.ca ([24.201.245.36])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1QoHjY-00046L-BY
	for 9192 <at> debbugs.gnu.org; Tue, 02 Aug 2011 12:22:21 -0400
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain; CHARSET=US-ASCII
Received: from ceviche.home ([70.80.89.35]) by vl-mo-mrz23.ip.videotron.ca
	(Sun Java(tm) System Messaging Server 6.3-8.01 (built Dec 16 2008;
	32bit))
	with ESMTP id <0LPB007RW6QM3030@HIDDEN> for
	9192 <at> debbugs.gnu.org; Tue, 02 Aug 2011 12:20:46 -0400 (EDT)
Received: by ceviche.home (Postfix, from userid 20848)	id 7008C660CF; Tue,
	02 Aug 2011 12:21:40 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Toon Claes <toon@HIDDEN>
Subject: Re: bug#9192: Cross-compile for ARM
Message-id: <jwv1ux36bk9.fsf-monnier+emacs@HIDDEN>
References: <34DD1295-A6F6-4757-9828-BC61D23E2D8E@HIDDEN>
	<m24o26hzwb.fsf@HIDDEN>
	<71E1048F-71BD-42D6-AD17-086EEA0DB76D@HIDDEN>
Date: Tue, 02 Aug 2011 12:21:40 -0400
In-reply-to: <71E1048F-71BD-42D6-AD17-086EEA0DB76D@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 9192
Cc: 9192 <at> debbugs.gnu.org, Andreas Schwab <schwab@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

> Is it a 'feature' or is it a bug?

It's not a feature, but it's not a bug we find very important to fix.
IOW I'd be happy to accept patches which make cross-compiling easier,
but I won't write them myself and I would only accept them if they're
clean enough.

This said, I do remember someone posting on this list about a similar
issue and making actual progress in this direction.  And if you want to
try it, here are some things I know will need to be solved:
- We build a few programs used only during compilation: prefix-args,
  make-docfile, probably a few more (can't remember test-distrub, but
  if we build such a thing, then it's most likely in the set as well).
  You'll have to change the Makefile to compile those for the host
  rather than for the target.
- The Elisp files in lisp and leim need to be compiled by Emacs, so the
  src/bootstrap-emacs should be built for the host rather than for
  the target.
- You'll either want to build without dumping (i.e. set CANNOT_DUMP), or
  you'll want to split the dump step since it needs to be run on the
  target (but in either case you can do the dump for src/bootstrap-emacs
  since that runs on the host).  Builds using CANNOT_DUMP tend to have
  various misfeatures because this is basically never used and hence
  doesn't get much/any testing.

Maybe the easiest way to approach the problem is to first do a normal
build on the host (which builds src/bootstrap-emacs and compiles all the
Elisp files), then "rm src/*.o", reconfigure for the target and compile
src/temacs (and maybe afterwards do the `dump' on the target).


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9192; Package emacs. Full text available.

Message received at 9192 <at> debbugs.gnu.org:


Received: (at 9192) by debbugs.gnu.org; 30 Jul 2011 18:23:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 30 14:23:39 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QnECI-0006cW-8r
	for submit <at> debbugs.gnu.org; Sat, 30 Jul 2011 14:23:39 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <toon@HIDDEN>) id 1QmqAh-0004Wt-CS
	for 9192 <at> debbugs.gnu.org; Fri, 29 Jul 2011 12:44:24 -0400
Received: from [IPv6:2002:5153:bd74:1234:9522:292d:b4f9:dc32] (unknown
	[IPv6:2002:5153:bd74:1234:9522:292d:b4f9:dc32])
	(Authenticated sender: toon@HIDDEN)
	by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 1A4CBA807E;
	Fri, 29 Jul 2011 18:44:15 +0200 (CEST)
Subject: Re: bug#9192: Cross-compile for ARM
Mime-Version: 1.0 (Apple Message framework v1244.3)
Content-Type: text/plain; charset=us-ascii
From: Toon Claes <toon@HIDDEN>
In-Reply-To: <m24o26hzwb.fsf@HIDDEN>
Date: Fri, 29 Jul 2011 18:44:19 +0200
Content-Transfer-Encoding: 7bit
Message-Id: <71E1048F-71BD-42D6-AD17-086EEA0DB76D@HIDDEN>
References: <34DD1295-A6F6-4757-9828-BC61D23E2D8E@HIDDEN>
	<m24o26hzwb.fsf@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
X-Mailer: Apple Mail (2.1244.3)
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: 9192
X-Mailman-Approved-At: Sat, 30 Jul 2011 14:23:36 -0400
Cc: 9192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

So the question is:
Is it a 'feature' or is it a bug?

Toon.


On 28 Jul 2011, at 23:13, Andreas Schwab wrote:

> The emacs sources are not prepared for cross compilation.
> 
> Andreas.
> 
> -- 
> Andreas Schwab, schwab@HIDDEN
> GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
> "And now for something completely different."





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9192; Package emacs. Full text available.

Message received at 9192 <at> debbugs.gnu.org:


Received: (at 9192) by debbugs.gnu.org; 28 Jul 2011 21:13:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 17:13:45 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QmXtp-0000OD-Hg
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2011 17:13:45 -0400
Received: from mail-out.m-online.net ([212.18.0.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <whitebox@HIDDEN>) id 1QmXtn-0000O6-L3
	for 9192 <at> debbugs.gnu.org; Thu, 28 Jul 2011 17:13:44 -0400
Received: from frontend1.mail.m-online.net (frontend1.mail.intern.m-online.net
	[192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id 7C95E188A175;
	Thu, 28 Jul 2011 23:13:41 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.8.164])
	by mail.m-online.net (Postfix) with ESMTP id D7C331C000AF;
	Thu, 28 Jul 2011 23:13:41 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.180])
	by localhost (dynscan1.mail.m-online.net [192.168.8.164]) (amavisd-new,
	port 10024)
	with ESMTP id lQNTsSIMZpM6; Thu, 28 Jul 2011 23:13:41 +0200 (CEST)
Received: from igel.home (ppp-88-217-118-247.dynamic.mnet-online.de
	[88.217.118.247]) by mail.mnet-online.de (Postfix) with ESMTP;
	Thu, 28 Jul 2011 23:13:41 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id 0D22DCA293; Thu, 28 Jul 2011 23:13:41 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Toon Claes <toon@HIDDEN>
Subject: Re: bug#9192: Cross-compile for ARM
References: <34DD1295-A6F6-4757-9828-BC61D23E2D8E@HIDDEN>
X-Yow: ANN JILLIAN'S HAIR makes LONI ANDERSON'S HAIR look like
	RICARDO MONTALBAN'S HAIR!
Date: Thu, 28 Jul 2011 23:13:40 +0200
In-Reply-To: <34DD1295-A6F6-4757-9828-BC61D23E2D8E@HIDDEN> (Toon Claes's
	message of "Thu, 28 Jul 2011 20:53:40 +0200")
Message-ID: <m24o26hzwb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9192
Cc: 9192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

The emacs sources are not prepared for cross compilation.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9192; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jul 2011 19:12:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 28 15:12:22 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QmW0L-00069W-OR
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2011 15:12:22 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <toon@HIDDEN>) id 1QmViR-0004q2-5D
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2011 14:53:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <toon@HIDDEN>) id 1QmViP-0007h7-AY
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2011 14:53:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:39872)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <toon@HIDDEN>) id 1QmViP-0007h3-92
	for submit <at> debbugs.gnu.org; Thu, 28 Jul 2011 14:53:49 -0400
Received: from eggs.gnu.org ([140.186.70.92]:39272)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <toon@HIDDEN>) id 1QmViN-0000hR-LU
	for bug-gnu-emacs@HIDDEN; Thu, 28 Jul 2011 14:53:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <toon@HIDDEN>) id 1QmViM-0007gR-4H
	for bug-gnu-emacs@HIDDEN; Thu, 28 Jul 2011 14:53:47 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:54856)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <toon@HIDDEN>) id 1QmViL-0007fw-Ok
	for bug-gnu-emacs@HIDDEN; Thu, 28 Jul 2011 14:53:46 -0400
Received: from [IPv6:2002:5153:bd74:1234:a0ee:96d9:8272:fd1e] (unknown
	[IPv6:2002:5153:bd74:1234:a0ee:96d9:8272:fd1e])
	(Authenticated sender: toon@HIDDEN)
	by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 03A4B172067
	for <bug-gnu-emacs@HIDDEN>; Thu, 28 Jul 2011 20:53:39 +0200 (CEST)
From: Toon Claes <toon@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Cross-compile for ARM
Date: Thu, 28 Jul 2011 20:53:40 +0200
Message-Id: <34DD1295-A6F6-4757-9828-BC61D23E2D8E@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Apple Message framework v1244.3)
X-Mailer: Apple Mail (2.1244.3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 28 Jul 2011 15:12:21 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

I was trying to cross-compile emacs for ARM (don't ask me why).
But got an error during 'make' (see output below FIRST RUN).

So it's for sure 'test-distrub' was build for ARM, while it is trying to =
run on i686.

On the second run (just, ran 'make again), I got a similar error on =
'prefix-args'.
But for some reason the 'test-distrub' error is gone (probably because =
'make' thinks it is already finished.

So I have to compile them with the host compiler (i686).
But I'm not sure how to implement this properly.


Also I would like to get rid of the warning: "LIB_GCC" redefined


Regards,
Toon


-------------- FIRST RUN -------------------
system call: make
cd lib-src; make all                            \
          CC=3D'arm-none-linux-gnueabi-gcc' CFLAGS=3D'-DHAVE_STRERROR' =
CPPFLAGS=3D'-D_BSD_SOURCE  ' \
          LDFLAGS=3D'-L/home/toon/sandbox/os/Sync/imx31d/Archives =
-L/home/toon/sandbox/os/Sync/imx31d/Libs -Wl,-znocombreloc ' MAKE=3D'make'=

make[1]: Entering directory =
`/home/toon/sandbox/os/Build/imx31d/emacs-23.3/lib-src'
arm-none-linux-gnueabi-gcc -D_BSD_SOURCE -DHAVE_CONFIG_H -I. -I../src =
-I/home/toon/sandbox/os/Build/imx31d/emacs-23.3/lib-src =
-I/home/toon/sandbox/os/Build/imx31d/emacs-23.3/lib-src/../src =
-L/home/toon/sandbox/os/Sync/imx31d/Archives =
-L/home/toon/sandbox/os/Sync/imx31d/Libs -Wl,-znocombreloc  =
-D_BSD_SOURCE   -DHAVE_STRERROR -o test-distrib =
/home/toon/sandbox/os/Build/imx31d/emacs-23.3/lib-src/test-distrib.c
In file included from ../src/config.h:1075,
                 from =
/home/toon/sandbox/os/Build/imx31d/emacs-23.3/lib-src/test-distrib.c:23:
../src/m/arm.h:42:1: warning: "LIB_GCC" redefined
In file included from ../src/config.h:1074,
                 from =
/home/toon/sandbox/os/Build/imx31d/emacs-23.3/lib-src/test-distrib.c:23:
../src/s/gnu-linux.h:200:1: warning: this is the location of the =
previous definition
./test-distrib =
/home/toon/sandbox/os/Build/imx31d/emacs-23.3/lib-src/testfile
./test-distrib:2: no such file or directory: =
^@^@^@=D8=83^@^@\M-l^@^@^@^R^@^@^@^@^@^@\M-d\M-^C^@^@,^@^@^@^R^@^@^@Q^@^@^=
@\M-p\M-^C^@^@\M-h^@^@^@^R^@^@^@/^@^@^@\M-|\M-^C^@^@d^@^@^@^R^@^@^@h^@^@^@=
^H\M-^D^@^@d^@^@^@^R^@^@^@^A^@^@^@^@^@^@^@^@^@^@^@ =
^@^@^@^@__gmon_start__^@libc.so.6^@perror^@abort^@fprintf^@read^@strncmp^@=
open64^@strcmp^@stderr^@exit^@__libc_start_main^@close^@GLIBC_2.4^@^@^@^B^=
@^B^@^B^@^B^@^B^@^B^@^B^@^B^@^B^@^B^@^B^@^@^@^@^@^A^@^A^@^P^@^@^@^P^@^@^@^=
@^@^@^@^Tii^M^@^@^B^@n^@^@^@^@^@^@^@<\t^A^@^U^L^@^@(\n^A^@^T^F^@^@^T\t^A^@=
^V^A^@^@^X\t^A^@^V^B^@^@^\\t^A^@^V^C^@^@ =
\t^A^@^V^D^@^@$\t^A^@^V^E^@^@(\t^A^@^V^G^@^@,\t^A^@^V^H^@^@0\t^A^@^V\t^@^@=
4\t^A^@^V\n^@^@8\t^A^@^V^K^@^@^D\M-`-\M-e^D\M-PM\M-b2^@^@\M-k^D=D0=8D\M-b^=
@\M-^@\M-=3D\M-h^D\M-`-\M-e^D\M-`\M-^_\M-e^N\M-`\M-^O\M-`^H\M-p\M->\M-ep\M=
-^E^@^@^@=C6=8F\M-b^H=CA=8C\M-bp\M-u\M-<\M-e^@=C6=8F\M-b^H=CA=8C\M-bh\M-u\=
M-<\M-e^@=C6=8F\M-b^H=CA=8C\M-b`\M-u\M-<\M-e^@=C6=8F\M-b^H=CA=8C\M-bX\M-u\=
M-<\M-e^@=C6=8F\M-b^H=CA=8C\M-bP\M-u\M-<\M-e^@=C6=8F\M-b^H=CA=8C\M-bH\M-u\=
M-<\M-e^@=C6=8F\M-b^H=CA=8C\M-b@\M-u\M-<\M-e^@=C6=8F\M-b^H=CA=8C\M-b8\M-u\=
M-<\M-e^@=C6=8F\M-b^H=CA=8C\M-b0\M-u\M-<\M-e^@=C6=8F\M-b^H=CA=8C\M-b(\M-u\=
M-<\M-e$\M-@\M-^_\M-e^@\M-0\M- \M-c^D^P\M-^]\M-d^M \M- \M-a^D =
-\M-e^D^@-\M-e^P^@\M-^_\M-e^P0\M-^_\M-e^D\M-@-\M-e\M-]\M-^?\M-^?\M-k\M-V\M=
-^?\M-^?\M-k=D0=86^@^@t\M-^E^@^@=D4=86^@^@^@D-\M-i^X\M- \M-^_\M-e\n\M- =
\M-^O\M-`^T0\M-^_\M-e^C0\M-^Z\M-g^@^@S\M-c^@\M-^D\M-=3D^H3\M-^?/\M-a^@\M-^=
D\M-=3D=E8=AC=84^@^@4^@^@^@^P =
\M-^_\M-e^@0\M-R\M-e^@^@S\M-c^A0\M-^C^B^@0\M-B^E^^\M-^?/\M-a,\n^A^@^D\M-`-=
\M-e$^@\M-^_\M-e^D\M-PM\M-b^@0\M-^P\M-e^\ =
\M-^_\M-e^@^@S\M-c^B^@^@\n^@^@R\M-c^@^@^@\n2\M-^?/\M-a^D=D0=8D\M-b^@\M-^@\=
M-=3D\M-h^\^H^A^@^@^@^@^@^M\M-@\M- =
\M-a^@\M-X-\M-i^D\M-0L\M-b^X\M-PM\M-b^X^@^K\M-e^\^P^K\M-e  ^K\M-e^@0\M- =
\M-c^P0^K\M-e^P0^[\M-e^C \M- \M-a^\0^[\M-e^C^P\M-^B\M-`  =
^[\M-e^P0^[\M-e^B0c\M-`^X^@^[\M-e^C \M- \M-a\M-8\M-^?\M-^?\M-k^@0\M- =
\M-a^T0^K\M-e^T0^[\M-e^@^@S\M-c^B^@^@^Z^P0^[\M-e$0^K\M-e\n^@^@\M-j^T0^[\M-=
e^@^@S\M-c^B^@^@\M-*^T0^[\M-e$0^K\M-e^D^@^@\M-j^P0^[\M-e^T =
^[\M-e^B0\M-^C\M-`^P0^K\M-e\M-b\M-^?\M-^?\M-j$0^[\M-e^C^@\M- =
\M-a^L\M-PK\M-b^@\M-(\M-^]\M-h^M\M-@\M- =
\M-a^@\M-X-\M-i^D\M-0L\M-b^P\M-PM\M-b^X^@^K\M-e^\^P^K\M-e^X0^[\M-e^B^@S\M-=
c\t^@^@\n^X1\M-^_\M-e^@ \M-^S\M-e^\0^[\M-e^@0\M-^S\M-e^B^@\M- =
\M-a^H^Q\M-^_\M-e^C \M- \M-a\M-\n\M-^?\M-^?\M-k^A^@\M- =
\M-c\M-^K\M-^?\M-^?\M-k^\0^[\M-e^D0\M-^C\M-b^@0\M-^S\M-e^C^@\M- =
\M-a^@^P\M- \M-c^?\M-^?\M-^?\M-k^@0\M- =
\M-a^P0^K\M-e^P0^[\M-e^@^@S\M-c^F^@^@\M-*^\0^[\M-e^D0\M-^C\M-b^@0\M-^S\M-e=
^C^@\M- \M-ar\M-^?\M-^?\M-k^A^@\M- =
\M-cy\M-^?\M-^?\M-k^P^@^[\M-e\M-,^P\M-^_\M-es \M- =
\M-c\M-,\M-^?\M-^?\M-k^@0\M- =
\M-as^@S\M-c^S^@^@^Z\M-^T^@\M-^_\M-e\M-^T^P\M-^_\M-ec\M-^?\M-^?\M-k^@0\M- =
\M-a^@^@S\M-c^M^@^@^Z^P^@^[\M-ex^P\M-^_\M-el \M- =
\M-c\M-^_\M-^?\M-^?\M-k^@0\M- =
\M-ak^@S\M-c^F^@^@^Z`^@\M-^_\M-ed^P\M-^_\M-ek \M- =
\M-cO\M-^?\M-^?\M-k^@0\M- \M-a^@^@S\M-c\n^@^@\n<0\M-^_\M-e^@ =
\M-^S\M-e^\0^[\M-e^D0\M-^C\M-b^@0\M-^S\M-e^B^@\M- \M-a8^P\M-^_\M-e^C \M- =
\M-aR\M-^?\M-^?\M-k^A^@\M- =
\M-cS\M-^?\M-^?\M-k^P^@^[\M-eW\M-^?\M-^?\M-k^@0\M- \M-c^C^@\M- =
\M-a^L\M-PK\M-b^@\M-(\M-^]\M-h(\n^A^@T\M-^G^@^@-\n^A^@H\t^A^@\M-<\t^A^@h\M=
-^G^@^@^^\M-^?/\M-a\M-pG-\M-iT\M- \M-^_\M-e\n\M- \M-^O\M-`^@\M-^P\M- =
\M-a^A\M-^@\M- \M-a^Bp\M- \M-a \M-^?\M-^?\M-k@ =
\M-^_\M-e^B^P\M-\n\M-`<0\M-^_\M-e^C0b\M-`Ca\M-0\M-a\M-p\M-^G\M-=3D^H^@@\M-=
 \M-c^AP\M- \M-a\t^@\M- \M-a^H^P\M- \M-a^G \M- \M-a^O\M-`\M- =
\M-a^D\M-p\M-^U\M-d^A@\M-^D\M-b^D^@V\M-a\M-w\M-^?\M-^?^Z\M-p\M-^G\M-=3D\M-=
h$\M-^B^@^@^L\M-^?\M-^?\M-^?^P\M-^?\M-^?\M-^?^D\M-`-\M-e^D\M-PM\M-b^D=D0=8D=
\M-b^@\M-^@\M-=3D\M-h^A^@^B^@Usage: %s testfile\n^@Data in file `%s
./test-distrib:18: command not found: Most
./test-distrib:19: command not found: have
./test-distrib:39: unmatched '
make[1]: *** [test-distrib] Error 127



-------------- SECOND RUN -------------------
arm-none-linux-gnueabi-gcc -c -D_BSD_SOURCE   -Demacs -DHAVE_CONFIG_H  =
-I. -I/home/toon/sandbox/os/Build/imx31d/emacs-23.3/src -D_BSD_SOURCE    =
 -DHAVE_STRERROR -MMD -MF deps/prefix-args.d prefix-args.c
In file included from ./config.h:1075,
                 from prefix-args.c:46:
./m/arm.h:42:1: warning: "LIB_GCC" redefined
In file included from ./config.h:1074,
                 from prefix-args.c:46:
./s/gnu-linux.h:200:1: warning: this is the location of the previous =
definition
arm-none-linux-gnueabi-gcc -Demacs -DHAVE_CONFIG_H  -I. =
-I/home/toon/sandbox/os/Build/imx31d/emacs-23.3/src -D_BSD_SOURCE     =
-DHAVE_STRERROR -MMD -MF deps/.d =
-L/home/toon/sandbox/os/Sync/imx31d/Archives =
-L/home/toon/sandbox/os/Sync/imx31d/Libs -Wl,-znocombreloc  =
prefix-args.o -o prefix-args
arm-none-linux-gnueabi-gcc -nostdlib `./prefix-args -Xlinker  -z =
nocombreloc` -L/home/toon/sandbox/os/Sync/imx31d/Archives =
-L/home/toon/sandbox/os/Sync/imx31d/Libs -Wl,-znocombreloc  -o temacs =
pre-crt0.o /usr/lib/crt1.o /usr/lib/crti.o dispnew.o frame.o scroll.o =
xdisp.o menu.o  window.o charset.o coding.o category.o ccl.o character.o =
chartab.o cm.o term.o terminal.o xfaces.o    emacs.o keyboard.o macros.o =
keymap.o sysdep.o buffer.o filelock.o insdel.o marker.o minibuf.o =
fileio.o dired.o filemode.o cmds.o casetab.o casefiddle.o indent.o =
search.o regex.o undo.o alloc.o data.o doc.o editfns.o callint.o eval.o =
floatfns.o fns.o font.o print.o lread.o syntax.o unexelf.o bytecode.o =
process.o callproc.o region-cache.o sound.o atimer.o doprnt.o strftime.o =
intervals.o textprop.o composite.o md5.o     terminfo.o lastfile.o   =
vm-limit.o  mktime.o       -lncurses   -lgcc_s -lm -lgcc -lc -lgcc =
/usr/lib/crtn.o -lgcc_s
zsh:1: exec format error: ./prefix-args
=
/home/toon/sandbox/os/Ref/imx31d/imx31-toolchain/Imx31/bin/../lib/gcc/arm-=
none-linux-gnueabi/4.1.2/../../../../arm-none-linux-gnueabi/bin/ld: =
/usr/lib/crt1.o: Relocations in generic ELF (EM: 3)
=
/home/toon/sandbox/os/Ref/imx31d/imx31-toolchain/Imx31/bin/../lib/gcc/arm-=
none-linux-gnueabi/4.1.2/../../../../arm-none-linux-gnueabi/bin/ld: =
/usr/lib/crt1.o: Relocations in generic ELF (EM: 3)
=
/home/toon/sandbox/os/Ref/imx31d/imx31-toolchain/Imx31/bin/../lib/gcc/arm-=
none-linux-gnueabi/4.1.2/../../../../arm-none-linux-gnueabi/bin/ld: =
/usr/lib/crt1.o: Relocations in generic ELF (EM: 3)
/usr/lib/crt1.o: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
make[1]: *** [temacs] Error 1
make[1]: Leaving directory =
`/home/toon/sandbox/os/Build/imx31d/emacs-23.3/src'
make: *** [src] Error 2





Acknowledgement sent to Toon Claes <toon@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9192; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.